FREEFOAM-MHD(1)

NAME
freefoam-mhd - Solver for magnetohydrodynamics (MHD): incompressible, laminar flow of a conducting fluid under the influence of a magnetic field.

SYNOPSIS

freefoam mhd [-parallel] [-srcDoc] [-case <dir>] [-doc] [-help]

DESCRIPTION

An applied magnetic field H acts as a driving force, at present boundary conditions cannot be set via the electric field E or current density J. The fluid viscosity nu, conductivity sigma and permeability mu are read in as uniform constants.

A fictitous magnetic flux pressure pH is introduced in order to compensate for discretisation errors and create a magnetic face flux field which is divergence free as required by Maxwell’s equations.

However, in this formulation discretisation error prevents the normal stresses in UB from cancelling with those from BU, but it is unknown whether this is a serious error. A correction could be introduced whereby the normal stresses in the discretised BU term are replaced by those from the UB term, but this would violate the boundedness constraint presently observed in the present numerics which guarantees div(U) and div(H) are zero.

OPTIONS

-case <dir>
    Specify the case directory

-parallel
    Run the case in parallel

-help
    Display short usage message

-doc
    Display Doxygen documentation page

-srcDoc
    Display source code

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.